/*
 * 	gpkg.c - Operate on the user package index
 *
 * 	This file is patr of Glacier.
 *
 * 	Glacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Glacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License along with Glacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */ 

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

/*
#include <glacier/glacier_config.h>
#include <glacier/glacier_log.h>
#include <glacier/glacier_pkgops.h>
#include <glacier/glacier_runtime.h>

#include "gpkg.h"
*/

static void
usage(int argc, char *argv[])
{
	printf("%s - operate on the user package index\n", argv[0]);
	printf("usage: %s [-h] [-v] [-f] [-u] [-x]\n", argv[0]);
	printf("\n");
	printf("%s {-h}		Show this message\n", argv[0]);
	printf("%s {-v}		Show the current version\n", argv[0]);
	printf("%s {-f} PKG	Install package PKG\n", argv[0]);
	printf("%s {-u} PKG	Update package PKG\n", argv[0]);
	printf("%s {-x} PKG	Remove package PKG\n", argv[0]);
	printf("\n");
	printf("Glacier is free software.\n");
	printf("See the GNU GPL version 3 for details.\n");
}

static void
usage_small(int argc, char *argv[])
{
	printf("usage: %s [-h] [-v] [-f] [-u] [-x]\n", argv[0]);
}

int
main(int argc, char *argv[])
{
	if (argc < 2) {
		usage_small(argc, argv);
		return 1;
	}

	int opt;

	while ((opt = getopt(argc, argv, ":if:hvfux")) != -1) {
		switch(opt) {
			case 'h':
				usage(argc, argv);
				return 0;
				break;
			case 'v':
				/* printf(GPKG_VERSION "\n"); */
				printf("v4.0.0\n");
				return 0;
				break;
			case 'f':
				return 0;
				break;
			case 'u':
				return 0;
				break;
			case 'x':
				return 0;
				break;
			case '?':
				usage_small(argc, argv);
				return 1;
				break;
			}
	}

	return 0;
}
